// (c) 2008 Thomas Oltzen                                                  //
// This program is free software; you can redistribute it and/or           //
// modify it under the terms of the GNU  General Public License            //
// as published by the Free Software Foundation; either version2 of        //
// the License, or (at your option) any later version.                     //
//                                                                         //
// This program is distributed in the hope that it will be useful,         //
// but WITHOUT ANY WARRANTY; without even the implied warranty of          //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       //
// General Public License for more details.                                //
//                                                                         //
// You should have received a copy of the GNU  General Public License      //
// along with this program (see COPYING);     if not, write to the         //
// Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. //
package i2c.test;

import de.wenzlaff.twusb.schnittstelle.exception.TWUsbException;
import i2c.K8055_I2C;

/** Dieses Testprogramm sendet zum PDF8574 (8 Bit I/O Port) einige Daten und empfngt welche. 
 */
public class TestSendPCF8574 {

    /**
     * @param args
     */
    public static void main(String[] args) throws Exception
    {
        K8055_I2C dev = new K8055_I2C(3);
        dev.openConnection();
        for (int i = 0; i < 3; i++) {
            dev.sendStop();
            dev.sendStart();
            dev.sendAddress(32);
            dev.sendWriteFlag();
            dev.readAck();
            dev.sendDataByte(0);
            dev.readAck();
            dev.sendDataByte(255);
            dev.readAck();
            dev.sendStop();
        }
//        dev.closeConnection();

//         dev.openConnection();
         dev.sendStop();
         for (int i = 0 ;i <10 ; i ++){

             dev.sendStart();
         dev.sendAddress(32);
         dev.sendReadFlag();
         dev.readAck();         
         dev.recDataByte();
         dev.sendAck(false);
         dev.sendStop();
         };
         dev.closeConnection();

    }

}
